# 
# Do NOT Edit the Auto-generated Part!
# Generated by: spectacle version 0.23
# 
# >> macros
# << macros

Name:       orc
Summary:    The Oil Run-time Compiler
Version:    0.4.16
Release:    1
Group:      System/Libraries
License:    BSD
URL:        http://code.entropywave.com/projects/orc/
Source0:    http://code.entropywave.com/download/orc/orc-%{version}.tar.gz
Source100:  orc.yaml
Patch0:     orc-0.4.5-arm-build-failure.patch
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  libtool


%description
Orc is a library and set of tools for compiling and executing
very simple programs that operate on arrays of data.  The "language"
is a generic assembly language that represents many of the features
available in SIMD architectures, including saturated addition and
subtraction, and many arithmetic operations.
    



%package doc
Summary:    Documentation for Orc
Group:      Development/Languages
BuildArch:    noarch
Requires:   %{name} = %{version}-%{release}

%description doc
Documentation for Orc.

%package compiler
Summary:    Orc compiler
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   pkgconfig

%description compiler
The Orc compiler, to produce optimized code.

%package devel
Summary:    Development files and static libraries for Orc
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   %{name}-compiler
Requires:   pkgconfig

%description devel
This package contains the files needed to build packages that depend
on orc.



%prep
%setup -q -n %{name}-%{version}

# orc-0.4.5-arm-build-failure.patch
%patch0 -p1
# >> setup
autoreconf -vif
# << setup

%build
# >> build pre
# << build pre

%configure --disable-static \
    --disable-gtk-doc


# >> build post
make %{?jobs:-j%jobs}
# << build post
%install
rm -rf %{buildroot}
# >> install pre
make install DESTDIR=%{buildroot} INSTALL="install -p"
# << install pre

# >> install post

# Remove unneeded files.
find %{buildroot}/%{_libdir} -name \*.a -or -name \*.la -delete
rm -rf %{buildroot}/%{_libdir}/orc

touch -r stamp-h1 %{buildroot}%{_includedir}/%{name}-0.4/orc/orc-stdint.h

%clean
rm -rf %{buildroot}


# << install post
%check
# >> check
%ifnarch %{arm}
make check
%endif
# << check



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig











%files
%defattr(-,root,root,-)
# >> files
%doc COPYING README
%{_libdir}/liborc-*.so.*
# << files


%files doc
%defattr(-,root,root,-)
# >> files doc
%doc %{_datadir}/gtk-doc/html/orc/
# << files doc

%files compiler
%defattr(-,root,root,-)
# >> files compiler
%{_bindir}/orcc
# << files compiler

%files devel
%defattr(-,root,root,-)
# >> files devel
%doc examples/*.c
%{_includedir}/%{name}-0.4/
%{_libdir}/liborc-*.so
%{_libdir}/pkgconfig/orc-0.4.pc
%{_bindir}/orc-bugreport
%{_datadir}/aclocal/orc.m4
# << files devel

